ACSD-50815: Decimal quantity for simple product cannot be used for new bundled product option

Last update: 2023-10-02
  • Created for:
  • Admin

The ACSD-50815 patch fixes the issue where the decimal quantity for a simple product cannot be used for a new bundled product option. This patch is available when the Quality Patches Tool (QPT) 1.1.35 is installed. The patch ID is ACSD-50815. Please note that the issue is scheduled to be fixed in Adobe Commerce 2.4.7.

Affected products and versions

The patch is created for Adobe Commerce version:

  • Adobe Commerce (all deployment methods) 2.4.5-p1

Compatible with Adobe Commerce versions:

  • Adobe Commerce (all deployment methods) 2.4.5 - 2.4.5-p3
NOTE

The patch might become applicable to other versions with new Quality Patches Tool releases. To check if the patch is compatible with your Adobe Commerce version, update the magento/quality-patches package to the latest version and check the compatibility on the Quality Patches Tool: Search for patches page. Use the patch ID as a search keyword to locate the patch.

Issue

The decimal quantity for a simple product cannot be used for a new bundled product option.

Steps to reproduce:

  1. Log in as an admin.
  2. Create a new simple product.
    • In the Advanced Inventory window, set Qty Uses Decimal = Yes.
    • Save the simple product.
  3. Create a new bundled product.
  4. Add any option.
  5. Add the simple product into this option.
  6. Set a decimal quantity for the simple product in the bundled product option. For example, 1.5.

Expected results:

It is possible to set decimal quantity. No errors are displayed.

Actual results:

The error, Please enter a valid number in this field is displayed.

Apply the patch

To apply individual patches, use the following links depending on your deployment method:

To learn more about Quality Patches Tool, refer to:

For info about other patches available in QPT, refer to Quality Patches Tool: Search for patches in the Quality Patches Tool guide.

On this page